package com.jpsoft.shinestar.modules.base.dao;

import com.jpsoft.shinestar.modules.base.entity.InformationInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface InformationInfoDAO {
	int insert(InformationInfo entity);
	int update(InformationInfo entity);
	int exist(String id);
	InformationInfo get(String id);
	int delete(String id);
	List<InformationInfo> list();
	List<InformationInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<InformationInfo> findByOwnerIdAndType(String ownerId, String type);
}